﻿using C1.Win.C1FlexGrid;
using C1.Win.C1FlexGrid.Classic;
using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication8
{
    public partial class Form1 : Form
    {

        private DataSet dataSet1 { get; set; }
        public Form1()
        {
            InitializeComponent();
            this.Load += Form1_Load1;
        }
        ComboBox c1 = null;

        private void Form1_Load1(object sender, EventArgs e)
        {
            dataSet1 = new DataSet();
            DataTable CustomersTable = dataSet1.Tables.Add("Customers");
            CustomersTable.Columns.Add("CustomerID", typeof(Int32));
            CustomersTable.Columns.Add("CompanyName", typeof(String));

            DataRow newCustomersRow = dataSet1.Tables["Customers"].NewRow();
            newCustomersRow["CustomerID"] = 1;
            newCustomersRow["CompanyName"] = "Alfreds Futterkiste";
            dataSet1.Tables["Customers"].Rows.Add(newCustomersRow);
            newCustomersRow = dataSet1.Tables["Customers"].NewRow();
            newCustomersRow["CustomerID"] = 3;
            newCustomersRow["CompanyName"] = "Alfreds";
            dataSet1.Tables["Customers"].Rows.Add(newCustomersRow);

            string list = "1;Wyeth|2;Novartis Consumer Healthcare, Inc.|3;Johnson and Johnson";
            c1FlexGridClassic2.AllowEditing = true;
            c1FlexGridClassic2.ColumnCollection[1].TextAlign = TextAlignEnum.RightCenter;


            c1 = new ComboBox();
            List<KeyValue> _list = new List<KeyValue>();
            var DMap = new Hashtable();
            foreach (string str in list.Split('|'))
            {
                _list.Add(new KeyValue()
                {
                    key = Convert.ToInt32(str.Split(';')[0]),
                    value = str.Split(';')[1]
                });

                DMap[Convert.ToInt32(str.Split(';')[0])] = str.Split(';')[1];

            }
            c1.DataSource = _list;
            c1.DisplayMember = "value";
            c1.ValueMember = "key";
            c1.DropDownStyle = ComboBoxStyle.DropDownList;

            c1FlexGridClassic2.DataSource = dataSet1.Tables[0];
            c1FlexGridClassic2.ColumnCollection[1].Editor = c1;
            c1FlexGridClassic2.ColumnCollection[1].DataMap = DMap;

        }




    }
    public class KeyValue
    {
        public int key { get; set; }
        public string value { get; set; }
    }
}


